// FontDemoDoc.cpp : implementation of the CFontDemoDoc class
//

#include "stdafx.h"
#include "FontDemo.h"

#include "FontDemoDoc.h"
#include "FormatDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CFontDemoDoc

IMPLEMENT_DYNCREATE(CFontDemoDoc, CDocument)

BEGIN_MESSAGE_MAP(CFontDemoDoc, CDocument)
	ON_COMMAND(ID_TEXT_FORMAT, OnTextFormat)
END_MESSAGE_MAP()


// CFontDemoDoc construction/destruction

CFontDemoDoc::CFontDemoDoc()
: m_Bold(false)
, m_Italic(false)
, m_Underline(false)
, m_Justify(JUSTIFY_LEFT)
, m_Pitch(PITCH_VARIABLE)
, m_Spacing(1)
{
	// TODO: add one-time construction code here

}

CFontDemoDoc::~CFontDemoDoc()
{
}

BOOL CFontDemoDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// CFontDemoDoc serialization

void CFontDemoDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CFontDemoDoc diagnostics

#ifdef _DEBUG
void CFontDemoDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CFontDemoDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CFontDemoDoc commands

void CFontDemoDoc::OnTextFormat()
{
	// TODO: Add your command handler code here
	CFormatDlg m_FormatDlg;
    //	m_FormatDlg.DoModal ();
	// initialize dialog class data members:

	m_FormatDlg.m_Bold = m_Bold;
   m_FormatDlg.m_Italic = m_Italic;
   m_FormatDlg.m_Justify = m_Justify;
   m_FormatDlg.m_Pitch = m_Pitch;
   m_FormatDlg.m_Spacing = m_Spacing;
   m_FormatDlg.m_Underline = m_Underline;

	
   // display dialog box:   
   if (m_FormatDlg.DoModal () == IDOK)
      {         
      // save values set in dialog box:
   
	  m_Bold = m_FormatDlg.m_Bold;
      m_Italic = m_FormatDlg.m_Italic;
      m_Justify = m_FormatDlg.m_Justify;
      m_Pitch = m_FormatDlg.m_Pitch;
      m_Spacing = m_FormatDlg.m_Spacing;
      m_Underline = m_FormatDlg.m_Underline;

   
      // redraw the text:
      UpdateAllViews (NULL);
      }     

}
