// FormDemoView.h : interface of the CFormDemoView class
//


#pragma once
#include "atltypes.h"
enum {INT_LIGHT, INT_DARK};

class CFormDemoView : public CFormView
{
protected: // create from serialization only
	CFormDemoView();
	DECLARE_DYNCREATE(CFormDemoView)

public:
	enum{ IDD = IDD_FORMDEMO_FORM };

// Attributes
public:
	CFormDemoDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CFormDemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_Red;
	BOOL m_Green;
	BOOL m_Blue;
	//int m_Intensity;
	afx_msg void OnRed();
	afx_msg void OnGreen();
	afx_msg void OnBlue();
	afx_msg void OnOptionsDark();
	afx_msg void OnUpdateOptionsLight(CCmdUI *pCmdUI);
	afx_msg void OnOptionsLight();
	afx_msg void OnUpdateOptionsDark(CCmdUI *pCmdUI);
	CRect m_RectSample;
protected:
	virtual void OnDraw(CDC* /*pDC*/);
public:
	int m_Intensity;
};

#ifndef _DEBUG  // debug version in FormDemoView.cpp
inline CFormDemoDoc* CFormDemoView::GetDocument() const
   { return reinterpret_cast<CFormDemoDoc*>(m_pDocument); }
#endif

