// TextDemoDoc.cpp : implementation of the CTextDemoDoc class
//

#include "stdafx.h"
#include "TextDemo.h"

#include "TextDemoDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTextDemoDoc

IMPLEMENT_DYNCREATE(CTextDemoDoc, CDocument)

BEGIN_MESSAGE_MAP(CTextDemoDoc, CDocument)
	ON_COMMAND(ID_OPTIONS_FONT, OnOptionsFont)
	ON_COMMAND(ID_OPTIONS_STANDARDFONT, OnOptionsStandardFont)
END_MESSAGE_MAP()


// CTextDemoDoc construction/destruction

CTextDemoDoc::CTextDemoDoc()

: m_Text(_T(""))

{
	// TODO: add one-time construction code here
flag=0;
}

CTextDemoDoc::~CTextDemoDoc()
{
}

BOOL CTextDemoDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// CTextDemoDoc serialization

void CTextDemoDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CTextDemoDoc diagnostics

#ifdef _DEBUG
void CTextDemoDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CTextDemoDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CTextDemoDoc commands

void CTextDemoDoc::OnOptionsFont()
{
	// TODO: Add your command handler code her
	CString str; //     
                 // CString 
   int Num = 0;  //  

	 //    Font:
	   CFontDialog FontDialog;
	   if (FontDialog.DoModal () != IDOK)
	      return;
    	flag=1;
	   //   m_Color:
	   m_Color = FontDialog.GetColor (); //  ,  
	                                     // 
	   //   : 
	   m_Font.DeleteObject ();
	   m_Font.CreateFontIndirect (&FontDialog.m_lf);
	   //  ,  :
	    m_LineTable [Num++] = "Font Name: " + FontDialog.GetFaceName ();
	    m_LineTable [Num] =   "Font Size: ";
		str.Format("%d.%d points",//   CString
		           FontDialog.GetSize () / 10,
		           FontDialog.GetSize () % 10);
		m_LineTable [Num++] += str;//    
		m_LineTable [Num++] = "";                    // 

// store    LOGFONT:
		m_LineTable [Num++] = "LOGFONT fields:";
		m_LineTable [Num] =   "lfHeight: ";
		str.Format("%d",FontDialog.m_lf.lfHeight);
		m_LineTable [Num++] +=str; 

	   m_LineTable [Num] =   "lfWidth: ";
	   str.Format("%d",FontDialog.m_lf.lfWidth);
	   m_LineTable [Num++] += str;

		m_LineTable [Num] =   "lfEscapement: ";
		str.Format("%d",FontDialog.m_lf.lfEscapement);
		m_LineTable [Num] += str;
		m_LineTable [Num++] += " (tenths of a degree)";

		m_LineTable [Num] =   "lfOrientation: ";
		str.Format("%d",FontDialog.m_lf.lfOrientation);
		m_LineTable [Num] += str;
		m_LineTable [Num++] += " (tenths of a degree)";

		m_LineTable [Num] =   "lfWeight: ";
		str.Format("%d",FontDialog.m_lf.lfWeight);
		m_LineTable [Num++] += str;

		m_LineTable [Num] =   "lfItalic: ";
		str.Format("%d",FontDialog.m_lf.lfItalic);
		m_LineTable [Num++] += str;

		m_LineTable [Num] =   "lfUnderline: ";
		str.Format("%d",FontDialog.m_lf.lfUnderline);
		m_LineTable [Num++] += str;

		m_LineTable [Num] =   "lfStrikeOut: ";
		str.Format("%d",FontDialog.m_lf.lfStrikeOut);
		m_LineTable [Num++] += str;
	   //    ,   		
	   // :
	   POSITION Pos = GetFirstViewPosition ();
	   CView *PView = GetNextView (Pos);
	   CClientDC ClientDC (PView);
	  //       :   
	   ClientDC.SelectObject (&m_Font);
	   TEXTMETRIC TM;
	   ClientDC.GetTextMetrics (&TM);
	   // store TEXTMETRIC values:
   m_LineTable [Num++] = "TEXTMETRIC fields:";
   m_LineTable [Num] = "tmHeight: ";
   str.Format("%d",TM.tmHeight);
   m_LineTable [Num++] += str;
   m_LineTable [Num] = "tmAscent: ";
   str.Format("%d",TM.tmAscent);
   m_LineTable [Num++] += str;

   m_LineTable [Num] = "tmDescent: ";
   str.Format("%d",TM.tmDescent);
   m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmInternalLeading: ";
	str.Format("%d",TM.tmInternalLeading);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmExternalLeading: ";
 	str.Format("%d",TM.tmExternalLeading);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmAveCharWidth: ";
 	str.Format("%d",TM.tmAveCharWidth);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmMaxCharWidth: ";
 	str.Format("%d",TM.tmMaxCharWidth);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmWeight: ";
 	str.Format("%d",TM.tmWeight);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmOverhang: ";
  	str.Format("%d",TM.tmOverhang);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmDigitizedAspectX: ";
  	str.Format("%d",TM.tmDigitizedAspectX);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmDigitizedAspectY: ";
  	str.Format("%d",TM.tmDigitizedAspectY);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmFirstChar: ";
  	str.Format("%d",TM.tmFirstChar);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmLastChar: ";
  	str.Format("%d",TM.tmLastChar);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmDefaultChar: ";
  	str.Format("%d",TM.tmDefaultChar);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmBreakChar: ";
   	str.Format("%d",TM.tmBreakChar);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmItalic: ";
  	str.Format("%d",TM.tmItalic);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmUnderlined: ";
  	str.Format("%d",TM.tmUnderlined);
	m_LineTable [Num++] += str;

	m_LineTable [Num] = "tmStruckOut: ";
	str.Format("%d",TM.tmStruckOut);
	m_LineTable [Num++] += str;

	m_LineTable [Num++] = "tmPitchAndFamily: ";
	m_LineTable [Num] = "   Pitch Info: ";
	if (TM.tmPitchAndFamily & TMPF_FIXED_PITCH)
		m_LineTable [Num] += "variable pitch   ";
	else
		m_LineTable [Num] += "fixed pitch   ";
	if (TM.tmPitchAndFamily & TMPF_VECTOR)
		m_LineTable [Num] += "vector font   ";
	if (TM.tmPitchAndFamily & TMPF_TRUETYPE)
		m_LineTable [Num] += "TrueType font   ";
	if (TM.tmPitchAndFamily & TMPF_DEVICE)
		m_LineTable [Num] += "device font";
	Num++;

   m_LineTable [Num] = "   Family: ";
   switch (TM.tmPitchAndFamily & 0x00F0)
      {
      case FF_DECORATIVE:
         m_LineTable [Num++] += "FF_DECORATIVE";
         break;

      case FF_DONTCARE:
         m_LineTable [Num++] += "FF_DONTCARE";
         break;

      case FF_MODERN:
         m_LineTable [Num++] += "FF_MODERN";
         break;

      case FF_ROMAN:
         m_LineTable [Num++] += "FF_ROMAN";
         break;

      case FF_SCRIPT:
         m_LineTable [Num++] += "FF_SCRIPT";
         break;

      case FF_SWISS:
         m_LineTable [Num++] += "FF_SWISS";
         break;

      default:
         m_LineTable [Num++] += "unknown family";
         break;
      }

   m_LineTable [Num] = "tmCharSet: ";
   switch (TM.tmCharSet)
      {
      case ANSI_CHARSET:
         m_LineTable [Num++] += "ANSI_CHARSET";
         break;

      case OEM_CHARSET:
         m_LineTable [Num++] += "OEM_CHARSET";
         break;

      case SYMBOL_CHARSET:
         m_LineTable [Num++] += "SYMBOL_CHARSET";
         break;

      default:
         m_LineTable [Num++] += "unknown character set";
         break;
      }
	   //   :
	   UpdateAllViews (NULL);
}

void CTextDemoDoc::OnOptionsStandardFont()
{
	// TODO: Add your command handler code here
	if(m_StdFontDlg.DoModal()==IDOK)
	{
		flag=2;//     
	  //   : 
	  m_Text="This is the "+m_StdFontDlg.m_KindFont+" stock font.";
	  m_IndexStdFont=m_StdFontDlg.nIndex;
	   //   :
	}
	  UpdateAllViews (NULL);
}
