// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "MiniPaint.h"
#include<math.h>
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_CREATE()
	ON_COMMAND(ID_MODE_MMTEXT, OnModeMmtext)
	ON_COMMAND(ID_MODE_MMHIMETRIC, OnModeMmhimetric)

END_MESSAGE_MAP()

static UINT IndicatorsIDs [] =
{
	ID_SEPARATOR,
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

// CMainFrame construction/destruction

CMainFrame::CMainFrame()
: x(0)
, y(0)
, scalex(0)
, scaley(0)
{
	// TODO: add member initialization code here
}

CMainFrame::~CMainFrame()
{
}


BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}


// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG


// CMainFrame message handlers


BOOL CMainFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext)
{
	// TODO: Add your specialized code here and/or call the base class

	//return CFrameWnd::OnCreateClient(lpcs, pContext);
	return m_SplitterWnd.Create(
		this,
		2, //  
		2, //  
		CSize(15, 15),
		pContext);
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
//2
	if (!m_StatusBar.Create(this) || 
		!m_StatusBar.SetIndicators(IndicatorsIDs,
		sizeof(IndicatorsIDs) / sizeof(UINT)))
		return -1;

//1
	// TODO:  Add your specialized creation code here
	if (!m_ToolBar.CreateEx
		(this,
		TBSTYLE_FLAT,
		WS_CHILD | WS_VISIBLE | CBRS_TOP | CBRS_GRIPPER 
		| CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC))
		return -1;
	if (!m_ToolBar.LoadToolBar(IDR_MAINFRAME))
		return -1;
	m_ToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_ToolBar);

	return 0;
}
void CMainFrame::ClearClient() //  
{
//*******************ClrScr
CClientDC dc(this); 
CBrush ClearBrush;
ClearBrush.CreateSolidBrush(RGB(255,255,255));
SetBkMode((HDC)(COLOR_WINDOW+1),NULL);
dc.SelectObject(&ClearBrush);
CRect rect;
GetClientRect(rect);
  
dc.Rectangle(0,26,(int)(rect.right-rect.left)-20,(int)(rect.bottom-rect.top)-35);
//*******************
}
void CMainFrame::OnModeMmtext()
{
	// TODO: Add your command handler code here
	ClearClient();// 
	
	CClientDC dc(this);//   
	RECT rect;
	GetClientRect(&rect);//    
	CPen newpen;//  
	CPen* oldpen; //     
	newpen.CreatePen(PS_SOLID,1,RGB(255,0,255)); //  
	oldpen=dc.SelectObject(&newpen); //      

	int vertmark=5;   //     
	int horizmark=5;  //     Y
	      
	scalex=(rect.right-rect.left)/horizmark; 
	scaley=(rect.bottom-rect.top)/vertmark;
	
	dc.SetMapMode(MM_TEXT); //  
	dc.MoveTo(10,30);    //   
	dc.LineTo(rect.right-40,30);  //   (30    )
	dc.TextOut(rect.right-40,30,"X"); // 

	dc.MoveTo(5,rect.top+30); 
	dc.LineTo(5,rect.bottom-60);  //   (60       )
	dc.TextOut(5,rect.bottom-60,"Y"); 

	CString str;	//         
	y=30; //    -      
	//   
	for(int i=0; i<=rect.right; i++)
	{
		x=i*scalex;  
		str.Format("%d",i*scalex);
		dc.MoveTo(x,y);                   
		dc.LineTo(x,y+10);
		if(x!=0)	//   '0'
			dc.TextOut(x,y+15,str);
	}
/////////////////////////////
//   Y
	x=5;            //    
	for(int j=rect.top+30;j<=rect.bottom-30;j++)
	{
		y=(j-30)*scaley; //     
		str.Format("%d",y);
		y+=30;
		dc.MoveTo(x,y);                   //    y
		dc.LineTo(x+10,y);
		if (y!=30)
			dc.TextOut(x+15,y,str);
	}
dc.SelectObject(oldpen);//      
newpen.DeleteObject();//  

}

void CMainFrame::OnModeMmhimetric()
{
	// TODO: Add your command handler code here
	ClearClient();// 

	CClientDC dc(this);//   
	RECT rect;
	GetClientRect(&rect);//    
	CPen newpen;//  
	CPen* oldpen; //     
	newpen.CreatePen(PS_SOLID,1,RGB(0,255,0)); //  
	oldpen=dc.SelectObject(&newpen); //      

	int vertmark=20;   //     
	int horizmark=20;  //     Y
	scalex=(rect.right-rect.left)/horizmark; 
	scaley=(rect.bottom-rect.top)/vertmark;

	dc.SetMapMode(MM_HIMETRIC);
	dc.SetROP2(R2_NOTCOPYPEN);
	//  MM_HIMETRIC
	// X
	dc.MoveTo(100,rect.top-1000);
	dc.LineTo(rect.right*30-100,rect.top-1000); 
	dc.TextOut(rect.right*30-500,rect.top-1500,"X");
	// Y
	dc.MoveTo(100,-1000);
	dc.LineTo(100,-rect.bottom*27); 
	dc.TextOut(100,-rect.bottom*27,"-Y");
	//  
	CString str;
	y=-rect.top-1000;
	for(int i=0; i<=rect.right; i++)	
	{
		x=i*scalex/0.01;
		dc.MoveTo(x,y);                   //    
		dc.LineTo(x,y-500);
		if(x>0&&x<rect.right*30-i*1.6*100)//         
		{
			str.Format("%d",x);
			dc.TextOut(x,y-800,str);
		}
	}
	//  Y
	x=100;
	for(int j=0; j>=-rect.bottom;j--)
	{
		y=j*scaley/0.01;
		dc.MoveTo(x,y);                   //    Y
		dc.LineTo(x+300,y);
		if(y!=0&&y>-rect.bottom*27)
		{
			str.Format("%d",y);
			dc.TextOut(x+500,y,str);
		}
	}
	dc.SelectObject(oldpen);//      
	newpen.DeleteObject();//  
}
