// MiniPaintDoc.h : interface of the CMiniPaintDoc class
//


#pragma once
// CLine command target

class CLine : public CObject
{
protected:
	int m_X1, m_Y1,m_X2,m_Y2;
	DECLARE_SERIAL (CLine)
public:
	CLine(int X1,int Y1,int X2,int Y2);
	virtual ~CLine();
	void Draw (CDC *PDC);
	
	CLine(void);
	virtual void Serialize(CArchive& ar);

	CRect GetDimRect(void);
};

//////////////////////////////////
class CMiniPaintDoc : public CDocument
{
protected: // create from serialization only
	CMiniPaintDoc();
	DECLARE_DYNCREATE(CMiniPaintDoc)

// Attributes
public:

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CMiniPaintDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
	CTypedPtrArray<CObArray, CLine*> m_LineArray;
public:
	//void AddLine(int X1, int X2, int Y1, int Y2);//   
  CLine* AddLine(int X1, int Y1, int X2, int Y2);
	
	int GetNumLines(void);
  CLine* GetLine(int IndexLine); 
  virtual void DeleteContents();

  afx_msg void OnEditClearAll();
  afx_msg void OnEditUndo();
  afx_msg void OnUpdateEditUndo(CCmdUI *pCmdUI);
  afx_msg void OnUpdateEditClearAll(CCmdUI *pCmdUI);
};








