// MiniPaint.h : main header file for the MiniPaint application
//
#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols


// CMiniPaintApp:
// See MiniPaint.cpp for the implementation of this class
//

class CMiniPaintApp : public CWinApp
{
public:
	CMiniPaintApp();


// Overrides
public:
	virtual BOOL InitInstance();

// Implementation
	afx_msg void OnAppAbout();
	DECLARE_MESSAGE_MAP()
	afx_msg void OnLinesDouble();
	afx_msg void OnUpdateLinesDouble(CCmdUI *pCmdUI);
	afx_msg void OnLinesSingle();
	afx_msg void OnUpdateLinesSingle(CCmdUI *pCmdUI);
	afx_msg void OnLinesTriple();
	afx_msg void OnUpdateLinesTriple(CCmdUI *pCmdUI);
	afx_msg void OnToolsCircle();
	afx_msg void OnUpdateToolsCircle(CCmdUI *pCmdUI);
	afx_msg void OnToolsCirclefill();
	afx_msg void OnUpdateToolsCirclefill(CCmdUI *pCmdUI);
	afx_msg void OnToolsLine();
	afx_msg void OnUpdateToolsLine(CCmdUI *pCmdUI);
	afx_msg void OnToolsRectangle();
	afx_msg void OnUpdateToolsRectangle(CCmdUI *pCmdUI);
	afx_msg void OnToolsRectfill();
	afx_msg void OnUpdateToolsRectfill(CCmdUI *pCmdUI);
	afx_msg void OnToolsRectround();
	afx_msg void OnUpdateToolsRectround(CCmdUI *pCmdUI);
	afx_msg void OnToolsRectroundfill();
	afx_msg void OnUpdateToolsRectroundfill(CCmdUI *pCmdUI);
public:
	//  
	int m_CurrentThickness;
	//  
	UINT m_CurrentTool;
	afx_msg void OnColorBlack();
	afx_msg void OnUpdateColorBlack(CCmdUI *pCmdUI);
	afx_msg void OnColorRed();
	afx_msg void OnUpdateColorRed(CCmdUI *pCmdUI);
	afx_msg void OnColorBlue();
	afx_msg void OnUpdateColorBlue(CCmdUI *pCmdUI);
	afx_msg void OnColorCustom();
	afx_msg void OnUpdateColorCustom(CCmdUI *pCmdUI);
	afx_msg void OnColorCyan();
	afx_msg void OnUpdateColorCyan(CCmdUI *pCmdUI);
	afx_msg void OnColorGreen();
	afx_msg void OnUpdateColorGreen(CCmdUI *pCmdUI);
	afx_msg void OnColorMagenta();
	afx_msg void OnUpdateColorMagenta(CCmdUI *pCmdUI);
	afx_msg void OnColorWhite();
	afx_msg void OnUpdateColorWhite(CCmdUI *pCmdUI);
	afx_msg void OnColorYellow();
	afx_msg void OnUpdateColorYellow(CCmdUI *pCmdUI);
	//     
	COLORREF m_CurrentColor;
	//   Color
	UINT m_IdxColorCmd;
	
};

extern CMiniPaintApp theApp;