// MiniPaintView.h : interface of the CMiniPaintView class
//


#pragma once
#include "atltypes.h"


class CMiniPaintView : public CView
{
protected: // create from serialization only
	CMiniPaintView();
	DECLARE_DYNCREATE(CMiniPaintView)

// Attributes
public:
	CMiniPaintDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CMiniPaintView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
	int m_Dragging;
	HCURSOR m_HCross;
	CPoint m_PointOld;
	CPoint m_PointOrigin;
	CString m_ClassName;
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in MiniPaintView.cpp
inline CMiniPaintDoc* CMiniPaintView::GetDocument() const
   { return reinterpret_cast<CMiniPaintDoc*>(m_pDocument); }
#endif

