// MiniPaintDoc.cpp : implementation of the CMiniPaintDoc class
//

#include "stdafx.h"
#include "MiniPaint.h"

#include "MiniPaintDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

////////////////////////////////////
// CMiniPaintDoc

IMPLEMENT_DYNCREATE(CMiniPaintDoc, CDocument)

BEGIN_MESSAGE_MAP(CMiniPaintDoc, CDocument)
	ON_COMMAND(ID_EDIT_CLEAR_ALL, OnEditClearAll)
	ON_COMMAND(ID_EDIT_UNDO, OnEditUndo)
	ON_UPDATE_COMMAND_UI(ID_EDIT_UNDO, OnUpdateEditUndo)
	ON_UPDATE_COMMAND_UI(ID_EDIT_CLEAR_ALL, OnUpdateEditClearAll)
END_MESSAGE_MAP()


// CMiniPaintDoc construction/destruction

CMiniPaintDoc::CMiniPaintDoc()
{
	// TODO: add one-time construction code here

}

CMiniPaintDoc::~CMiniPaintDoc()
{
}

BOOL CMiniPaintDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// CMiniPaintDoc serialization

void CMiniPaintDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
		m_LineArray.Serialize (ar);
	}
	else
	{
		// TODO: add loading code here
		m_LineArray.Serialize (ar);
	}
}


// CMiniPaintDoc diagnostics

#ifdef _DEBUG
void CMiniPaintDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CMiniPaintDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG
CLine*  CMiniPaintDoc::AddLine (int X1, int Y1, int X2, int Y2)
 {             
   CLine *PLine = new CLine(X1, Y1, X2, Y2);
   m_LineArray.Add (PLine);
   SetModifiedFlag ( );
   return PLine;
 }
 
/////////////////////////////////////////////////////
CLine* CMiniPaintDoc::GetLine(int IndexLine)
 {
  if (IndexLine < 0 || IndexLine > m_LineArray.GetUpperBound ())
      return 0;
  return m_LineArray.GetAt (IndexLine);
 }
////////////////////////////////////////////////////
int CMiniPaintDoc::GetNumLines ()
 {
   return m_LineArray.GetSize ();
 }

void CMiniPaintDoc::DeleteContents()
{
// TODO: Add your specialized code here and/or call the base class
  int Index = m_LineArray.GetSize();
  while (Index--)
     delete m_LineArray.GetAt(Index);
  m_LineArray.RemoveAll();
  CDocument::DeleteContents();
}



void CMiniPaintDoc::OnEditClearAll()
{
	DeleteContents (); 
   UpdateAllViews (0); 

	// TODO: Add your command handler code here
    SetModifiedFlag ( );
}

void CMiniPaintDoc::OnEditUndo()
{
	int Index = m_LineArray.GetUpperBound ();
  if (Index > -1)
   {
    delete m_LineArray.GetAt (Index);
    m_LineArray.RemoveAt (Index); 
   }
  UpdateAllViews (0);

	// TODO: Add your command handler code here
   SetModifiedFlag (); 
}

void CMiniPaintDoc::OnUpdateEditUndo(CCmdUI *pCmdUI)
{
	// TODO: Add your command update UI handler code here
pCmdUI->Enable (m_LineArray.GetSize ());
}

void CMiniPaintDoc::OnUpdateEditClearAll(CCmdUI *pCmdUI)
{
	// TODO: Add your command update UI handler code here  
	pCmdUI->Enable (m_LineArray.GetSize ());

}
//CLine
IMPLEMENT_SERIAL(CLine, CObject, 1)
CLine::CLine(int X1,int Y1,int X2,int Y2)
{
	m_X1=X1;
	m_Y1=Y1;
	m_X2=X2;
	m_Y2=Y2;
}

CLine::~CLine()
{
}

void CLine::Draw (CDC *PDC)
   {
   PDC->MoveTo (m_X1, m_Y1);
   PDC->LineTo (m_X2, m_Y2);
   }


// CLine member functions
CLine::CLine(void)
{
}

void CLine::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{	// storing code
		ar << m_X1 << m_Y1 << m_X2 << m_Y2;
	}
	else
	{	// loading code
		ar >> m_X1 >> m_Y1 >> m_X2 >> m_Y2;
	}
	
}


CRect CLine::GetDimRect(void)
{
	//return CRect();
	return CRect(
		min(m_X1, m_X2),
		min(m_Y1, m_Y2),
		max(m_X1, m_X2) + 1,
		max(m_Y1, m_Y2) + 1
		);
}
