#pragma once
#include "afxwin.h"

enum {JUSTIFY_LEFT, JUSTIFY_CENTER, JUSTIFY_RIGHT};
enum {PITCH_VARIABLE, PITCH_FIXED};
// CFormatDlg dialog

class CFormatDlg : public CDialog
{
	DECLARE_DYNAMIC(CFormatDlg)

public:
	CFormatDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CFormatDlg();

// Dialog Data
	enum { IDD = IDD_DIALOG1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	//    
	BOOL m_Bold;
	BOOL m_Italic;
	BOOL m_Underline;
	int m_Justify;
	int m_Pitch;
	//  
	int m_Spacing;
	CEdit m_SpacingEdit;
	virtual BOOL OnInitDialog();
protected:
	RECT m_RectSample;
public:
	afx_msg void OnCenter();
	afx_msg void OnBold();
	afx_msg void OnItalic();
	afx_msg void OnUnderline();
	afx_msg void OnFixed();
	afx_msg void OnLeft();
	afx_msg void OnRight();
	afx_msg void OnVariable();
	afx_msg void OnEnChangeSpacing();
	afx_msg void OnPaint();
};
