// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "TabDemo.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMainFrame
const UINT    wm_Find = RegisterWindowMessage( FINDMSGSTRING );

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_COMMAND(ID_VIEW_FINDREPLACEDIALOG, OnViewFindreplacedialog)
	//ON_COMMAND(ID_VIEW_FONTDIALOG, OnViewFontdialog)
	ON_COMMAND(ID_VIEW_PAGESETUPDIALOG, OnViewPagesetupdialog)
	ON_REGISTERED_MESSAGE(wm_Find, OnFindReplace)
	ON_COMMAND(ID_VIEW_FILEOPEN, OnViewFileopen)
END_MESSAGE_MAP()


// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
}

CMainFrame::~CMainFrame()
{
}


BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}


// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG


// CMainFrame message handlers


void CMainFrame::OnViewFindreplacedialog()
{
	// TODO: Add your command handler code here
	CFindReplaceDialog *pDlg = new CFindReplaceDialog;
	pDlg->Create(TRUE, _T("Findme"), NULL, FR_DOWN, this);
}
LRESULT CMainFrame::OnFindReplace(WPARAM wParam, LPARAM lParam)
{
	if (((LPFINDREPLACE)lParam)->Flags & FR_FINDNEXT)
	{
		CString temp = "Search string: ";
		temp = temp + ((LPFINDREPLACE)lParam)->lpstrFindWhat;
		AfxMessageBox(temp);
	}
	return 0;
}

/*
void CMainFrame::OnViewFontdialog()
{
	// TODO: Add your command handler code here
	CFontDialog dlg;
	if (dlg.DoModal() == IDOK)
	{
		CString temp = "Font selected: " + dlg.GetFaceName();
		AfxMessageBox(temp);
	}
}
*/
void CMainFrame::OnViewPagesetupdialog()
{
	// TODO: Add your command handler code here
	CPageSetupDialog dlg;
	if (dlg.DoModal() == IDOK)
	{
		char temp[100];
		sprintf(temp, "Paper size: %g\" x %g\".",
				(double)dlg.m_psd.ptPaperSize.x / 1000.0,
				(double)dlg.m_psd.ptPaperSize.y / 1000.0);
		AfxMessageBox(temp);
	}
}

void CMainFrame::OnViewFileopen()
{
	// TODO: Add your command handler code here
	CFileDialog dlg(TRUE);
	CString str("  (*.*)");  	//   " "
	str+='\0';				// 
	str+="*.*";				//   
	str+='\0';
	str+="  ++(*.cpp,*.h)"; //     
	str+='\0';
	str+="*.cpp;*.h";			//   
	str+='\0';
    dlg.m_ofn.lpstrFilter=str;  		//     OPENFILENAME
		if (dlg.DoModal() == IDOK)
	{
		CString temp = "File selected: " + dlg.GetPathName();
		AfxMessageBox(temp,MB_YESNO|MB_ICONSTOP);
	}
}
