// TabDemoDoc.cpp : implementation of the CTabDemoDoc class
//

#include "stdafx.h"
#include "TabDemo.h"

#include "TabDemoDoc.h"
#include "style.h"
#include "pitch.h"
#include "justify.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTabDemoDoc

IMPLEMENT_DYNCREATE(CTabDemoDoc, CDocument)

BEGIN_MESSAGE_MAP(CTabDemoDoc, CDocument)
	ON_COMMAND(ID_TEXT_FORMAT, OnTextFormat)
END_MESSAGE_MAP()


// CTabDemoDoc construction/destruction

CTabDemoDoc::CTabDemoDoc()
: m_Bold(false)
, m_Italic(false)
, m_Underline(false)
, m_Justify(JUSTIFY_LEFT)
, m_Pitch(PITCH_VARIABLE)
, m_Spacing(1)
{
	// TODO: add one-time construction code here

}

CTabDemoDoc::~CTabDemoDoc()
{
}

BOOL CTabDemoDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// CTabDemoDoc serialization

void CTabDemoDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CTabDemoDoc diagnostics

#ifdef _DEBUG
void CTabDemoDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CTabDemoDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CTabDemoDoc commands

void CTabDemoDoc::OnTextFormat()
{
	// TODO: Add your command handler code here

	CPropertySheet PropertySheet ("Format");
	   //     :
	CStyle StylePage;
   CJustify JustifyPage;
   CPitch PitchPage;
	   //      :
   PropertySheet.AddPage (&StylePage);
   PropertySheet.AddPage (&JustifyPage);
   PropertySheet.AddPage (&PitchPage);
      //   :
      StylePage.m_Bold = m_Bold;
   StylePage.m_Italic = m_Italic;
   StylePage.m_Underline = m_Underline;
   JustifyPage.m_Justify = m_Justify;
   PitchPage.m_Pitch = m_Pitch;
   PitchPage.m_Spacing = m_Spacing;

   //     :
   if (PropertySheet.DoModal () == IDOK)
      {
            //     :
      m_Bold = StylePage.m_Bold;
      m_Italic = StylePage.m_Italic;
      m_Underline = StylePage.m_Underline;
      m_Justify = JustifyPage.m_Justify;
      m_Pitch = PitchPage.m_Pitch;
      m_Spacing = PitchPage.m_Spacing;
               
      //  :
      UpdateAllViews (NULL);
      }
}
