// TextDemoView.cpp : implementation of the CTextDemoView class
//

#include "stdafx.h"
#include "TextDemo.h"

#include "TextDemoDoc.h"
#include "TextDemoView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTextDemoView

IMPLEMENT_DYNCREATE(CTextDemoView, CScrollView)

BEGIN_MESSAGE_MAP(CTextDemoView, CScrollView)
END_MESSAGE_MAP()

// CTextDemoView construction/destruction

CTextDemoView::CTextDemoView()
{
	// TODO: add construction code here

}

CTextDemoView::~CTextDemoView()
{
}

BOOL CTextDemoView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CScrollView::PreCreateWindow(cs);
}

// CTextDemoView drawing

void CTextDemoView::OnDraw(CDC* pDC)
{
	CTextDemoDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
	RECT ClipRect;
	int LineHeight;
	TEXTMETRIC TM;
	int Y = MARGIN;
	//       
	if (pDoc->flag==2)
	{
	//   GDI
	HGDIOBJ m_hObject = ::GetStockObject(pDoc->m_IndexStdFont);
	//    ,    
	if (m_hObject == NULL)
	      return;  
	//        
  pDC->SelectStockObject(pDoc->m_IndexStdFont);
  //   
  pDC->TextOut (MARGIN, Y,pDoc->m_Text);
	}
	//      
	else if (pDoc->flag==1)
	{
  
	// ,      :
	   if (pDoc->m_Font.m_hObject == NULL)
	      return;                         
	 
//      :                                           
	   pDC->SelectObject (&pDoc->m_Font); 
	
//  
	   pDC->GetTextMetrics(&TM);
	   LineHeight = TM.tmHeight + TM.tmExternalLeading;
//   :
	   pDC->SetTextColor (pDoc->m_Color);
	   pDC->SetBkMode (TRANSPARENT);
	      
//   ,  :
	  pDC->GetClipBox (&ClipRect);
//   :                                          
	   pDC->TextOut (MARGIN, Y,"FONT PROPERTIES");
	   
	   //   :
	   for (int Line = 0; Line < NUMLINES; ++Line)
	      {
	       Y += LineHeight;
	    //  if (Y + LineHeight >= ClipRect.top && Y <= ClipRect.bottom)
	         pDC->TextOut (MARGIN, Y, pDoc->m_LineTable [Line]);
	      }   
	}
}

//void CTextDemoView::OnInitialUpdate()
//{
//	CScrollView::OnInitialUpdate();
//	CSize sizeTotal;
//	// TODO: calculate the total size of this view
//	sizeTotal.cx = sizeTotal.cy = 100;
//	SetScrollSizes(MM_TEXT, sizeTotal);
//}


// CTextDemoView diagnostics

#ifdef _DEBUG
void CTextDemoView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CTextDemoView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CTextDemoDoc* CTextDemoView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTextDemoDoc)));
	return (CTextDemoDoc*)m_pDocument;
}
#endif //_DEBUG


// CTextDemoView message handlers

void CTextDemoView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint)
{
	// TODO: Add your specialized code here and/or call the base class
	CTextDemoDoc* pDoc = GetDocument();

   if (pDoc->m_Font.m_hObject == NULL) 
      SetScrollSizes (MM_TEXT, CSize (0,0)); 
   else                                
      {
   
	  CClientDC ClientDC (this); 
      int LineWidth = 0; // 
      SIZE SizeTotal; //    
      TEXTMETRIC TM; // 
	//      
      ClientDC.SelectObject (&pDoc->m_Font); 
      ClientDC.GetTextMetrics (&TM); //  
	//       
      for (int Line = 0; Line < NUMLINES; ++Line) 
         {
		//        
         SizeTotal = ClientDC.GetTextExtent(
			     pDoc->m_LineTable [Line], //  
                 pDoc->m_LineTable [Line].GetLength ()// 
				 );
         if (SizeTotal.cx > LineWidth) //    ()
            LineWidth = SizeTotal.cx; 
         }   
      //      
      SizeTotal.cx = LineWidth + MARGIN; 
	  //      
      SizeTotal.cy = (TM.tmHeight + TM.tmExternalLeading) * (NUMLINES + 1) + MARGIN; 
      //    
      SetScrollSizes (MM_TEXT, SizeTotal); 
	  //
      ScrollToPosition (CPoint (0, 0)); 
      }  

   CScrollView::OnUpdate (pSender, lHint, pHint);  
}
