// StandardFontDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TextDemo.h"
#include "StandardFontDlg.h"


// CStandardFontDlg dialog

IMPLEMENT_DYNAMIC(CStandardFontDlg, CDialog)
CStandardFontDlg::CStandardFontDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStandardFontDlg::IDD, pParent)
	
	
	, nIndex(0)
	, m_KindFont(_T(""))
{
}

CStandardFontDlg::~CStandardFontDlg()
{
}

void CStandardFontDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_CBString(pDX, IDC_STDFONT, m_KindFont);
}


BEGIN_MESSAGE_MAP(CStandardFontDlg, CDialog)
	ON_CBN_SELCHANGE(IDC_STDFONT, OnSelChangeCombo)
END_MESSAGE_MAP()


// CStandardFontDlg message handlers

BOOL CStandardFontDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  Add extra initialization here
	CComboBox *p_combo=(CComboBox*)GetDlgItem(IDC_STDFONT);
	p_combo->AddString("SYSTEM_FONT");
	p_combo->AddString("SYSTEM_FIXED_FONT");
	p_combo->AddString("ANSI_VAR_FONT");
	p_combo->AddString("ANSI_FIXED_FONT");
	p_combo->AddString("DEVICE_DEFAULT_FONT");
	p_combo->AddString("OEM_FIXED_FONT");
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CStandardFontDlg::OnSelChangeCombo()
{
	// TODO: Add your control notification handler code here
	
	CComboBox *p_combo=(CComboBox*)GetDlgItem(IDC_STDFONT);
	int index=p_combo->GetCurSel();
	
	if (index==0) nIndex=ANSI_FIXED_FONT;
	if (index==1) nIndex=ANSI_VAR_FONT;
	if (index==2) nIndex=DEVICE_DEFAULT_FONT;
	if (index==3) nIndex=OEM_FIXED_FONT;
	if (index==4) nIndex=SYSTEM_FIXED_FONT;
	if (index==5) nIndex=SYSTEM_FONT;
	
}


