// MiniPaintView.h : interface of the CMiniPaintView class
//


#pragma once
#include "atltypes.h"
////////////////
const int DRAWWIDTH  = 4000;
const int DRAWHEIGHT = 6000;
////////////////////
class CMiniPaintView : public CScrollView
{
protected: // create from serialization only
	CMiniPaintView();
	DECLARE_DYNCREATE(CMiniPaintView)

// Attributes
public:
	CMiniPaintDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CMiniPaintView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
	int m_Dragging;
	////////////////////////
	HCURSOR m_HArrow;
	/////////////////
	HCURSOR m_HCross;
	CPoint m_PointOld;
	CPoint m_PointOrigin;
	CString m_ClassName;
	CPen m_PenDotted;
	/////////////
	int m_NumCols, m_NumRows;
	int m_PageHeight, m_PageWidth;
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	virtual void OnInitialUpdate();
protected:
	virtual void OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/);
public:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);

	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
};

#ifndef _DEBUG  // debug version in MiniPaintView.cpp
inline CMiniPaintDoc* CMiniPaintView::GetDocument() const
   { return reinterpret_cast<CMiniPaintDoc*>(m_pDocument); }
#endif

